#
# spec file for package clanlib (Version 0.5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf gpp hermes hermes-devel libgpp libjpeg libmikmo libpng libtiff mesa mesa-devel mesasoft svgalib xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip hermes hermes-devel kbd less libgpp libjpeg libmikmo libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         clanlib
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
URL:          http://www.clanlib.org/
Version:      0.5.0
Release:      52
Summary:      A portable interface for writing games
Source:       ClanLib-%{version}-1.tar.bz2
Patch:        ClanLib-%{version}-makefile.patch
Patch1:        ClanLib-%{version}-fixes.patch
BuildRoot:    /var/tmp/%{name}-build

%description
ClanLib delivers a platform independent interface to write games with.

Authors:
--------
    Magnus Norddahl <mbn@nkdev.dk>
    Daniel Vogel <666@grafzahl.de>

SuSE series: d

%package devel
Requires:     clanlib
Summary:      A portable interface for writing games
Group:        Development/Libraries                                             
Autoreqprov:  on                                                                

%description devel
ClanLib delivers a platform independent interface to write games with.

Authors:
--------
    Magnus Norddahl <mbn@nkdev.dk>
    Daniel Vogel <666@grafzahl.de>

SuSE series: d

%prep
%setup -n ClanLib-%{version} 
%patch
%patch1

%build
autoconf
  
%ifarch i386
./configure --prefix=/usr --mandir=%{_mandir} --enable-asm386 --enable-vidmode
%else
./configure --prefix=/usr --mandir=%{_mandir} --disable-asm386 --disable-fbdev --enable-vidmode
%endif
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make docs

%install
rm -rf $RPM_BUILD_ROOT
DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/clanlib-devel
DOCS="BUGS CODING_STYLE COPYING CREDITS HARDWARE INSTALL.linux PORTING \
      README README.fbdev README.gui README.upgrade ROADMAP ascii-logo"
rm -rf $DOCDIR 
make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr \
     MAN_PREFIX=$RPM_BUILD_ROOT/%{_mandir} \
     HTML_PREFIX=$DOCDIR/Docs \
     docs_install
install -o root -g root -m 644 $DOCS $DOCDIR
cp -r Documentation/Examples $DOCDIR

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/lib/libclan*.so.*
%doc BUGS COPYING CREDITS README
#/usr/lib/ClanLib

%files devel
%defattr(-, root, root)
%docdir %{_defaultdocdir}/clanlib-devel
%{_defaultdocdir}/clanlib-devel
#%doc %{_mandir}/*/*
/usr/bin/clanlib-config
/usr/include/ClanLib
/usr/lib/libclan*.so
#/usr/lib/ClanLib

%changelog -n clanlib
* Thu Aug 23 2001 - uli@suse.de
- build with RPM_OPT_FLAGS (i.e. with optimizations; seems to
  untrigger internal compiler error on IA64)
* Thu Jun 21 2001 - nadvornik@suse.cz
- some fixes for 64bit archs
* Wed Jun 06 2001 - nadvornik@suse.cz
- update to 0.5.0
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 22 2001 - nadvornik@suse.cz
- freetype in neededforbuild was needless, removed
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Feb 26 2001 - nadvornik@suse.cz
- fixed to compile on axp
* Mon Dec 11 2000 - kukuk@suse.de
- Remove Requires, RPM can solve this better
* Fri Jul 28 2000 - nadvornik@suse.cz
- compiled with xdevel3 to work with xf86 3.3.6
* Thu Jul 20 2000 - nadvornik@suse.cz
- fixed bug with mouse in fullscreen
* Thu Jul 13 2000 - nadvornik@suse.cz
- configure with --enable-vidmode
* Tue May 30 2000 - nadvornik@suse.cz
- update to 0.4.4
* Mon May 22 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
- added mesadev to neededforbuild
* Fri Apr 28 2000 - nadvornik@suse.cz
- fixed to compile with xf86-4.0
* Wed Apr 12 2000 - nadvornik@suse.cz
- update to 0.4.3
- added BuildRoot
- added URL
* Thu Mar 16 2000 - kukuk@suse.de
- Remove framebuffer support for SPARC
* Tue Mar 14 2000 - ro@suse.de
- fixed to compile on alpha
* Mon Feb 28 2000 - sndirschsuse.de
- fixed some problems with undefined symbols in libclanMagick.so
- added shared library libMagick.so again for this
* Fri Feb 18 2000 - sndirsch@suse.de
- Magicklib is now built statically and not longer included by
  clanlib
* Fri Feb 18 2000 - sndirsch@suse.de
- updated to CVS tag "version-0-4-0-SuSE"
* Thu Feb 17 2000 - sndirsch@suse.de
- updated to release 0.4.0
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Thu Jan 20 2000 - sndirsch@suse.de
- added Requires field for libpng
* Tue Dec 28 1999 - sndirsch@suse.de
- created clanlib package
